export const BuildTiles  =  (selection, props) => {
  
  const {
   dataPoint, step, nCol, stepMargin} = props;
   const xPosition = d =>  (d%nCol) * step + step/2;
   const yPosition = (d) =>  {return (step/2+(Math.floor(d/nCol))*step) ;
    };
  const tiles = selection.selectAll('rect')
      
  tiles.data(dataPoint.id).enter()
  					.append('rect')
            .attr('class', 'rectEntities')
  			    .attr('x', d => xPosition(d)-step/2+stepMargin)
            .attr('y', d => yPosition(d)-step/2+stepMargin)
            .attr('width', 0)
            .attr('height', 0)
            .attr('fill', 'lightGrey')
  					.transition().duration(1000)
              .attr('width', step-2*stepMargin)
              .attr('height', step-2*stepMargin)
	tiles.enter().append('title')
        			.text(d => "Card ID : " + d)	

  tiles.enter().append('text')
              .attr("x", d => xPosition(d)-step/2+stepMargin)
              .attr("y", d => yPosition(d)-step/2+stepMargin)
        			.text(d => "Card ID : " + d)	
			        .attr("font-family", "sans-serif")
       				.attr("font-size", "10px")
       				.attr("fill", "white")
							.attr("backGroundColor", "orange");

  
}
        